*-------------------------------------------------------------------------------------
* Private Debt Overhang and the Government Spending Multiplier
* forthcoming in the Journal of Applied Econometrics
* by Marco Bernardini and Gert Peersman (June 2017)
*
* This file runs all the programs
*-------------------------------------------------------------------------------

global path F:\Research\Projects\BP_LP\JAE\

* ESTIMATIONS
* preliminary
do "${path}programs\00_data2matlab"					// save dataset in excel
* main
do "${path}programs\01_BP_baseline"					// 1919-2013 BP shocks
do "${path}programs\01_DN_baseline" 				// 1919-2013 DN shocks
* sensitivity: historical data
do "${path}programs\02_BP_sensitivity_datawars"		// 1947-2013 BP shocks
do "${path}programs\03_BP_sensitivity_data1952"		// 1954-2013 BP shocks
* sensitivity: private debt states
do "${path}programs\04_BP_sensitivity_trend"		// 1919-2013 BP shocks
do "${path}programs\04_DN_sensitivity_trend" 		// 1919-2013 DN shocks
* transmission
do "${path}programs\05_BP_transmission"				// 1919-2013 BP shocks
do "${path}programs\05_DN_transmission"		 		// 1919-2013 DN shocks
* augmented version
do "${path}programs\06_BP_augmented" 				// 1919-2013 DN shocks
do "${path}programs\06_DN_augmented" 				// 1919-2013 DN shocks
