*-------------------------------------------------------------------------------------
* Private Debt Overhang and the Government Spending Multiplier
* forthcoming in the Journal of Applied Econometrics
* by Marco Bernardini and Gert Peersman (June 2017)
*
* This file saves the dataset in excel (final figures)
*-------------------------------------------------------------------------------------

////////////////////////////////////////////////////////////////////////////////
* 1) SETTINGS
////////////////////////////////////////////////////////////////////////////////
****************************
* housekeeping and loading *
****************************

clear all // clear memory 
cls // clear results window
set more off // do not display the "more" message
pause off // allow for pauses

global path F:\Research\Projects\BP_LP\JAE\

use "${path}data\data_20170711.dta", clear

tsset quarter

export excel using "${path}article\figurestables\figMATLAB.xls", sheet("Fig1-2-8",replace) firstrow(var)
